#! /bin/bash
# fail immediately on error
set -e
CURLOPT=${CURLOPT:-"--location --remote-time --show-error --silent --fail --tlsv1.2"}

apt-get update  \
	&& apt-get dist-upgrade -y  \
	&& apt-get install -y  \
		apt-file  \
		apt-transport-https  \
		bash-completion  \
		build-essential  \
		byobu  \
		ca-certificates  \
		cargo  \
		clang  \
		cmake  \
		command-not-found  \
		curl  \
		elinks  \
		git  \
		htop  \
		libgit2-dev  \
		libpython-dev  \
		libpython3-dev  \
		locales  \
		man  \
		mc  \
		neovim  \
		python3  \
		python3-venv  \
		software-properties-common  \
		tig  \
		zsh  \
	&&  apt-file update

# node related
curl $CURLOPT https://deb.nodesource.com/setup_10.x | bash -
apt-get install -y nodejs

# python3 related
curl $CURLOPT https://bootstrap.pypa.io/get-pip.py | python2
curl $CURLOPT https://bootstrap.pypa.io/get-pip.py | python3

# install exa

cargo install --root /usr/local --git https://github.com/ogham/exa
